
Core - Task # 56782

Epic # 55070 (Accepted): Workpackages
Epic # 54851 (Accepted): WP: Workspaces IRRE & MM bugfixes
Story # 54853 (Accepted): As a user I want to correctly create, modify, preview and publish IRRE & MM related workspace changes

Status: Resolved Priority: Should have
Author: Oliver Hader Category: Workspaces
Created: 2014-03-11 Assigned To: Oliver Hader
Updated: 2014-03-14 Due date:
TYPO3 Version: 6.2
PHP Version: 5.3
Complexity:
Sprint Focus:
Subject: Failing group/select test changeElementSorting
Description

The workspace modify test "changeElementSorting" is failing in the frontend for the TCA types "select" and "group".
The reason is, that the move placeholder is not selected via the "uidInList" TypoScript property and thus removed in
PageRepository::versionOL().
To avoid that, "uidInList" gets extended to look-up move placeholders if versioning preview is enabled.

Related issues:
related to Core - Task # 56707: Add functional tests for TCA types select and... Resolved 2014-03-10

Associated revisions
Revision 521a411e - 2014-03-14 14:34 - Oliver Hader

[BUGFIX] Failing group/select test changeElementSorting

The workspace modify test "changeElementSorting" is failing
in the frontend for the TCA types "select" and "group".

The reason is, that the move placeholder is not selected
via the "uidInList" TypoScript property and thus removed
in PageRepository::versionOL().

To avoid that, "uidInList" gets extended to look-up
move placeholders if versioning preview is enabled.

Resolves: #56782
Releases: 6.2
Change-Id: Ifae30527bead02b38888f326de2615f6bfe35f5b
Reviewed-on: https://review.typo3.org/28278
Reviewed-by: Georg Ringer
Tested-by: Georg Ringer
Reviewed-by: Thorsten Kahler
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History
#1 - 2014-03-11 19:33 - Oliver Hader
- Parent task set to #54851

#2 - 2014-03-11 19:33 - Oliver Hader
- Parent task changed from #54851 to #54853

#3 - 2014-03-11 23:03 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28278

#4 - 2014-03-12 17:21 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28278

#5 - 2014-03-13 13:47 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28278

#6 - 2014-03-14 15:30 - Oliver Hader
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:521a411e7240d731bc1e529488c5256e04e108b6.
